<?php get_header(); ?>

    <div id="content" class="clearfix">
        
        <div id="main" class="clearfix" role="main">

			<?php while ( have_posts() ) : the_post(); ?>

				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                	<div class="post-meta-style">
                        <div class="post-date-style"><a href="<?php the_permalink() ?>" rel="bookmark"><?php printf( '%s', get_the_date('M d, Y') ); ?></a></div>
                        <?php printf( __( '<p class="post-author-style">by <a class="url fn n" href="%1$s" title="%2$s" rel="author">%3$s</a></p>', 'infosource' ),
                                esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
                                esc_attr( sprintf( __( 'View all posts by %s', 'infosource' ), get_the_author() ) ),
                                esc_html( get_the_author() )
                            );
                        
                            if ( 'post' == get_post_type() ) {
                                /* translators: used between list items, there is a space after the comma */
                                $categories_list = get_the_category_list( __( ', ', 'infosource' ) );
                                if ( $categories_list && infosource_categorized_blog() ) {
                                    printf( __( '<p class="post-cat-style">in %s</p>', 'infosource' ), $categories_list );
                                }
                        }?>
                            
                       <?php if ( comments_open() || ( '0' != get_comments_number() && ! comments_open() ) ) : ?>
                                <p class="post-comment-style"><?php comments_popup_link( __( '<span class="white">Leave a</span> comment', 'infosource' ), __( '<span class="white">Comment</span> (1)', 'infosource' ), __( '<span class="white">Comments</span> (%)', 'infosource' ) ); ?></p>
                        <?php endif; ?>
                    </div>
                    <div class="content-wrap">
  					<div class="post-wrap">
					<header class="entry-header">
						<h1 class="entry-title"><?php the_title(); ?></h1>

						<div class="entry-meta">
							<?php
								$metadata = wp_get_attachment_metadata();
								printf( __( 'Published at <a href="%1$s" title="Link to full-size image">%2$s &times; %3$s</a> in <a href="%4$s" title="Return to %5$s" rel="gallery">%5$s</a>', 'infosource' ),
									wp_get_attachment_url(),
									$metadata['width'],
									$metadata['height'],
									get_permalink( $post->post_parent ),
									get_the_title( $post->post_parent )
								);
							?>
							<?php edit_post_link( __( 'Edit', 'infosource' ), '<span class="sep">|</span> <span class="edit-link">', '</span>' ); ?>
						</div><!-- .entry-meta -->
					</header><!-- .entry-header -->

					<div class="entry-content post_content">

						<div class="entry-attachment">
							<div class="attachment">
								<?php
									/**
									 * Grab the IDs of all the image attachments in a gallery so we can get the URL of the next adjacent image in a gallery,
									 * or the first image (if we're looking at the last image in a gallery), or, in a gallery of one, just the link to that image file
									 */
									$attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
									foreach ( $attachments as $k => $attachment ) {
										if ( $attachment->ID == $post->ID )
											break;
									}
									$k++;
									// If there is more than 1 attachment in a gallery
									if ( count( $attachments ) > 1 ) {
										if ( isset( $attachments[ $k ] ) )
											// get the URL of the next image attachment
											$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
										else
											// or get the URL of the first image attachment
											$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
									} else {
										// or, if there's only 1 image, get the URL of the image
										$next_attachment_url = wp_get_attachment_url();
									}
								?>

								<a href="<?php echo $next_attachment_url; ?>" title="<?php echo esc_attr( get_the_title() ); ?>" rel="attachment"><?php
								$attachment_size = apply_filters( 'infosource_attachment_size', 1200 );
								echo wp_get_attachment_image( $post->ID, array( $attachment_size, $attachment_size ) ); // filterable image width with, essentially, no limit for image height.
								?></a>
							</div><!-- .attachment -->

							<?php if ( ! empty( $post->post_excerpt ) ) : ?>
							<div class="entry-caption">
								<?php the_excerpt(); ?>
							</div>
							<?php endif; ?>
						</div><!-- .entry-attachment -->

						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'infosource' ), 'after' => '</div>' ) ); ?>

					</div><!-- .entry-content -->

					<footer class="entry-meta">
						<?php if ( comments_open() && pings_open() ) : // Comments and trackbacks open ?>
							<?php printf( __( '<a class="comment-link" href="#respond" title="Post a comment">Post a comment</a> or leave a trackback: <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback URL</a>.', 'infosource' ), get_trackback_url() ); ?>
						<?php elseif ( ! comments_open() && pings_open() ) : // Only trackbacks open ?>
							<?php printf( __( 'Comments are closed, but you can leave a trackback: <a class="trackback-link" href="%s" title="Trackback URL for your post" rel="trackback">Trackback URL</a>.', 'infosource' ), get_trackback_url() ); ?>
						<?php elseif ( comments_open() && ! pings_open() ) : // Only comments open ?>
							<?php _e( 'Trackbacks are closed, but you can <a class="comment-link" href="#respond" title="Post a comment">post a comment</a>.', 'infosource' ); ?>
						<?php elseif ( ! comments_open() && ! pings_open() ) : // Comments and trackbacks closed ?>
							<?php _e( 'Both comments and trackbacks are currently closed.', 'infosource' ); ?>
						<?php endif; ?>
						<?php edit_post_link( __( 'Edit', 'infosource' ), ' <span class="edit-link">', '</span>' ); ?>
					</footer><!-- .entry-meta -->
                    </div>
                    <div class="clearfix shadowfix"></div>
                  </div>
				</article><!-- #post-<?php the_ID(); ?> -->
                
                <nav id="image-navigation">
                    <span class="previous-image"><?php previous_image_link( false, __( '&larr; Previous' , 'infosource' ) ); ?></span>
                    <span class="next-image"><?php next_image_link( false, __( 'Next &rarr;' , 'infosource' ) ); ?></span>
                </nav><!-- #image-navigation -->

				<?php comments_template(); ?>

			<?php endwhile; // end of the loop. ?>

			</div>
		</div>

<?php get_footer(); ?>